db4o |

# Reflector Members

Reflector overview

#### Public Instance Methods

Array | returns an IArray object, the equivalent to java.lang.reflect.Array.
ConstructorCallsSupported | specifiy whether parameterized Constructors are supported.
ForClass | returns an IClass for a Class
ForName | returns an IClass class reflector for a class name or null if no such class is found
ForObject | returns an IClass for an object or null if the passed object is null.
IsCollection |
SetParent |

#### See Also

Reflector Interface | com.db4o.reflect Namespace